Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class InvalidPrincipalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wli.worklist.api.ManagementException
                  com.bea.wli.worklist.api.ValidationException
                      com.bea.wli.worklist.api.InvalidPrincipalException

All Implemented Interfaces:
  Serializable

    public class InvalidPrincipalException

extends ValidationException

Exception thrown when an an invalid user or group is passed to an worklist operation. This is thrown instead of SecurityException and since it extends ValidationException which inturn extends ManagementException its already part of the public signatures.

Since:
  9.2
See Also:
  Serialized Form

Constructor Summary
`InvalidPrincipalException()` Default constructor
`InvalidPrincipalException(String message)` Construct a new `InvalidPrincipalException` exception with a message.
`InvalidPrincipalException(String message, Throwable except)` Construct a new `InvalidPrincipalException` exception wrapping an underlying exception and providing a message.
`InvalidPrincipalException(Throwable except)` Construct a new `InvalidPrincipalException` exception wrapping an underlying exception.

Method Summary
`Exception` | `getException()` Returns the underlying exception, if this exception wraps another exception.

Methods inherited from class com.bea.wli.worklist.api.ValidationException
`getPropertyInError, getUserPropertyNameInError, isSystemPropertyInError, setPropertyInError, setUserPropertyNameInError`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPrincipalException

    public InvalidPrincipalException()

  Default constructor

### InvalidPrincipalException

    public InvalidPrincipalException(String message,
                                     Throwable except)

  Construct a new `InvalidPrincipalException` exception wrapping an underlying exception and providing a message.

  Parameters:
    `message` - The exception message
    `except` - The underlying exception

### InvalidPrincipalException

    public InvalidPrincipalException(String message)

  Construct a new `InvalidPrincipalException` exception with a message.

  Parameters:
    `message` - The exception message

### InvalidPrincipalException

    public InvalidPrincipalException(Throwable except)

  Construct a new `InvalidPrincipalException` exception wrapping an underlying exception.

  Parameters:
    `except` - The underlying exception

Method Detail

### getException

    public Exception getException()

  Returns the underlying exception, if this exception wraps another exception.

  Overrides:
    `getException` in class `ValidationException`
  Returns:
    The underlying exception, or null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD